:root {
  --cart-border: 1px solid black;
  --cart-border-thick: 2px solid black;
}

.cart-grid {
  position: relative;
  min-height: 320px;
}

.cart-grid--default {
  padding-top: 0;
}

.cart-grid__subtitle {
  margin: 20px 0;
}

.cart-grid--mini-cart {
  height: 100%;
}

.cart-grid--mini-cart {
  padding-top: 50px;

  .cart-grid__inner {
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  .cart-grid__header {
    margin: 30px 0;
  }

  .cart-grid__content {
    overflow: hidden;
    flex-grow: 1;
  }

  .cart-grid__container,
  .cart-grid__container-inner,
  .cart-grid__form {
    height: 100%;
  }

  .cart-grid__container-inner {
    margin-right: -30px;
  }

  .cart-grid__items,
  .cart__footer,
  .cart__footer-bottom {
    padding-right: 30px !important;
  }

  .cart-grid__items {
    overflow: auto;
  }

  .cart__footer {
    margin-top: auto;
    padding-top: 50px;
  }

  .cart__footer-bottom {
    margin-bottom: 50px;
  }

  .cart-grid__form {
    display: flex;
    flex-direction: column;
  }

  .cart-grid__subtitle {
    display: none;
  }
}

.cart-grid__items {
  .cart-grid--mini-cart & {
    overflow-y: auto;
    box-sizing: border-box !important;
  }

  .cart-grid--default & {
    @media (--s){
      display: table;
      table-layout: fixed;
      border-collapse: collapse;
    }
  }

  &.is-loading {
    opacity: .6;
    pointer-events: none;
  }
}

.cart__empty {
  margin-top: 50px;
}

.cart__body {
  border-top: var(--cart-border);

  .cart-grid--default & {
    border-bottom: var(--cart-border);
    padding-bottom: 15px;

    @media (--s){
      display: table-row-group;
      border-bottom: var(--cart-border);
      border-top: var(--cart-border);
    }
  }
}

.cart__body-item {
  padding-top: 15px;
  margin-bottom: 15px;
}

.cart__header {
  display: none;

  .cart-grid--default & {
    @media (--s){
      display: table-header-group;
    }
  }
}
.cart__header__item {
  text-transform: uppercase;

  .cart-grid--default & {
    @media (--s){
      display: table-cell;
      padding: 5px 0 10px;
    }
  }

  &:first-child {
    border-left: 0;
    width: 40%;
  }
  &:nth-of-type(2){
    width: 20%;
  }
  &:nth-of-type(3){
    width: 20%;
  }
  &:last-child {
    border-right: 0;
    width: 20%;
  }
}

.cart__subtotal {
  margin-bottom: 50px;
  span {
    margin-left: auto;
  }
}

.cart__footer {
  margin-top: 50px;
}
